> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get API request logging log files

GET https://demo.docusign.net/restapi/v2/diagnostics/request_logs

Retrieves a list of log entries as a JSON or xml object or as a zip file containing the entries.

If the Accept header is set to application/zip, the response is a zip file containing individual text files, each representing an API request.

If the Accept header is set to `application/json` or `application/xml`, the response returns list of log entries in either JSON or XML. An example JSON response body is shown below. 

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/diagnostics/requestlogs/list

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Query parameters

- `encoding` (string, optional)

## Response

### 200

Successful response.

- `apiRequestLogs` (list of apiRequestLog, optional) — Reserved: TBD

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### apiRequestLog

Contains API request log information.

- `createdDateTime` (string, optional) — Indicates the date and time the item was created.
- `description` (string, optional) — A sender-defined description of the line item.
- `requestLogId` (string, optional)
- `status` (string, optional) — Item status.

## Examples

**Response**

```json
{
  "apiRequestLogs": [
    {
      "createdDateTime": "string",
      "description": "string",
      "requestLogId": "string",
      "status": "string"
    }
  ]
}
```